import("stdfaust.lib");

guitarNuts = pm.lTermination(pm.bridgeFilter(0.8,0.6)*-1,pm.basicBlock);
guitarBridge = pm.rTermination(pm.basicBlock,pm.bridgeFilter(0.8,0.6)*-1);

guitarString(length,pluckPosition,excitation) = pm.endChain(egChain)
with{
    maxStringLength = pm.maxLength;
    lengthTuning = 0.11; // tuned "by hand"
    stringL = length-lengthTuning;
    stiffness = 0.05;
    egChain = pm.chain(
        guitarNuts :
        pm.openStringPick(stringL,stiffness,pluckPosition,excitation) :
        guitarBridge);
};

process = button("gate") : ba.impulsify : guitarString(1,0.3);

